[arch-commits] Commit in python-cheetah/trunk (PKGBUILD python-cheetah.install)

Eric Bélanger eric at archlinux.org
Sun Jul 4 14:55:52 EDT 2010


    Date: Sunday, July 4, 2010 @ 14:55:52
  Author: eric
Revision: 84832

upgpkg: python-cheetah 2.4.2.1-1
Upstream update, Removed obsolete install scriptlet

Modified:
  python-cheetah/trunk/PKGBUILD
Deleted:
  python-cheetah/trunk/python-cheetah.install

------------------------+
 PKGBUILD               |   16 ++++++++--------
 python-cheetah.install |   11 -----------
 2 files changed, 8 insertions(+), 19 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-07-04 18:53:25 UTC (rev 84831)
+++ PKGBUILD	2010-07-04 18:55:52 UTC (rev 84832)
@@ -3,21 +3,21 @@
 # Contributor: Todd Maynard <arch at toddmaynard.com>
 
 pkgname=python-cheetah
-pkgver=2.4.0
+pkgver=2.4.2.1
 pkgrel=1
 pkgdesc="A Python-powered template engine and code generator"
+arch=('i686' 'x86_64')
 url="http://www.cheetahtemplate.org/"
 license=('custom')
 depends=('python')
 provides=('cheetah')
 conflicts=('cheetah')
-arch=('i686' 'x86_64')
-install=python-cheetah.install
 source=(http://pypi.python.org/packages/source/C/Cheetah/Cheetah-${pkgver}.tar.gz)
-md5sums=('873f5440676355512f176fc4ac01011e')
+md5sums=('f58ab28548b6e4000c6f4d3b14307187')
+sha1sums=('7eaec816e681136604c7709a1f320692da23810f')
 
-build() {
-  cd ${srcdir}/Cheetah-$pkgver
-  python setup.py install --root=${pkgdir} || return 1
-  install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
+package() {
+  cd "${srcdir}/Cheetah-${pkgver}"
+  python setup.py install --root="${pkgdir}" || return 1
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
 }

Deleted: python-cheetah.install
===================================================================
--- python-cheetah.install	2010-07-04 18:53:25 UTC (rev 84831)
+++ python-cheetah.install	2010-07-04 18:55:52 UTC (rev 84832)
@@ -1,11 +0,0 @@
-post_upgrade() {
-  cat << 'EOM'
-  
-  ==>
-  ==> PLEASE NOTE:
-  ==> This release of python-cheetah requires recompilation of all
-  ==> existing compiled cheetah templates.
-  ==>
-
-EOM
-}



More information about the arch-commits mailing list